GET /api/books
openlibrary.org:open-library-api
Summary: Get book information by bibkeys
Operation ID: getBooksByBibkeys
Auth: none
Operation ID: getBooksByBibkeys
Auth: none
Description
Retrieve book data using ISBN, OCLC, LCCN, or OLID identifiers. Supports batch requests with multiple identifiers.
Parameters (4)
bibkeys
(string, query, required)
Comma-separated list of book identifiers (ISBN, OCLC, LCCN, or OLID)
callback
(string, query, optional)
JavaScript callback function name (only for javascript format)
format
(string, query, optional, default: json)
Response format
Constraints: {'enum': ['json', 'javascript']}
jscmd
(string, query, optional, default: viewapi)
Level of detail to return
Constraints: {'enum': ['viewapi', 'data']}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Legacy book lookup API | openapi-spec |
https://openlibrary.org/api/books?bibkeys=ISBN:0451526538,LCCN:93005405 |
|
| Get books by bibkeys | openapi-spec |
https://openlibrary.org/api/books?bibkeys=ISBN:0201558025 |
|
| Get book metadata by bibkeys | openapi-spec |
https://openlibrary.org/api/books?bibkeys=ISBN:9780141439518 |
|
| Get book metadata by bibkeys | probe-gate |
https://openlibrary.org/api/books?bibkeys=ISBN%3A9780141439518&format=json&jscmd=viewapi |
|
| Get book information by bibkeys | probe-gate |
https://openlibrary.org/api/books?bibkeys=ISBN%3A0201558025&format=json&jscmd=viewapi |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:09:12.022317 | 200 | 869ms | |
| 2026-03-23 09:39:06.776583 | 200 | 757ms | |
| 2026-03-23 09:26:59.799564 | 200 | 609ms | |
| 2026-03-23 09:16:40.615387 | 200 | 615ms | |
| 2026-03-23 09:03:04.002949 | 200 | 571ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:16:40.615387 | aae10aa93ee4 |
2e5eee598e9c |
| 2026-03-23 09:26:59.799564 | 2e5eee598e9c |
516be2bcd1bb |
| 2026-03-23 09:39:06.776583 | 516be2bcd1bb |
f12a06be987c |
| 2026-03-23 10:09:12.022317 | f12a06be987c |
b6601fbb8759 |